Skip to main content

Delete Webhook

DELETE

API for deleting a Webhook. Deleting a Webhook cancels the subscription, and you will no longer receive events.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
subscriptionIdstringrequired
Parameter that specifies the subscriptionId assigned to the Webhook to query. Use the subscriptionId returned when creating the Webhook to query, update, or delete Webhook information.
Responses
resultboolean
Field representing the call result. Returns true on success, false on failure.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "MISSING_REQUIRED_PARAMETER",
"message": "Missing required parameter: { PARAMETER_NAME }"
}
cURL
curl -X DELETE 'https://web3.nodit.io/v1/avalanche/mainnet/webhooks/[object Object]' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'